#!/usr/local/bin/ruby -I../../lib_wpm
# $Id: webrick_run.rb,v 1.2 2005/06/16 15:26:45 toki Exp $

require 'wpm'
require 'wpm/rexml'
require 'wpm/webrickdriver'
writer = WPM::Writer.new(WPM::XMLAssistByREXML)
writer.base_dir = File.dirname($0)

require 'webrick'
config = {
  :Port => 8888,
  :Logger => WEBrick::Log.new(STDOUT, 5)
}
httpd = WEBrick::HTTPServer.new(config)
httpd.mount('/test', WEBrick::HTTPServlet::WPMHandler, writer)
trap(:INT){ httpd.shutdown }
httpd.start
