# $Id: AddAccessLog.rb,v 1.4 2005/01/16 12:32:28 toki Exp $

require 'forwardable'

class AddAccessLog < WPM::PageContext
  extend Forwardable

  def init_context
    @driver = driver
    @control = page_option(:control)
    @params = @control.access_log_params
    @params.add_logfile
    list = @params.logfiles
    @index = list.length
    @logfile = list[-1]
  end

  def_delegator :@params, :modified_count
  def_delegator :@params, :modified_count=

  attr_reader :index
  def_delegator :@logfile, :path
  def_delegator :@logfile, :path=
  def_delegator :@logfile, :format
  def_delegator :@logfile, :format=

  def write
    @control.set_access_log_params(@params)
    @driver.redirect('AccessLog')
    nil
  end

  def cancel
    @driver.redirect('AccessLog')
    nil
  end
end
