# $Id: config.rb,v 1.8 2005/02/06 16:01:44 toki Exp $

require 'rucy/rep'

module Rucy
  module Config
    CONFIG = Array.new

    def setup(&block)
      CONFIG.push(block)
      nil
    end
    module_function :setup

    def config(rep)
      for conf in CONFIG
	conf.call(rep)
      end
      rep
    end
    module_function :config
  end
end

# load settings
require 'rucy/config_sys'
require 'rucy/config_core'
require 'rucy/config_ctrl'
case (RUBY_PLATFORM)
when /mswin32|mingw32/i
  require 'rucy/config_win32'
when /cygwin/i
  require 'rucy/config_cygwin'
end


Rucy::Config.config(Rucy::Repository::DEFAULT)
