# $Id: fork.rb,v 1.2 2005/02/11 16:25:21 toki Exp $

require 'rucy/rep'

module Rucy
  class Fork
    def initialize(rep=Repository::DEFAULT)
      @rep = rep
      @Process = @rep.fetch(:Process_module)
      @forkable = test_forkable?
    end

    def test_forkable?
      begin
	pid = @Process.fork{ exit! }
	@Process.waitpid(pid)
	return true
      rescue NotImplementedError
	return false
      end
    end

    def forkable?
      @forkable
    end
  end
end
