#!/usr/local/bin/ruby
# $Id: stat.rb,v 1.3 2005/06/05 14:12:18 toki Exp $

base_dir = File.expand_path(File.dirname($0))
lib_core = File.join(base_dir, 'lib_core')
lib_ctrl = File.join(base_dir, 'lib_ctrl')
lib_conf = File.join(base_dir, 'lib_conf')
lib_wpm = File.join(base_dir, 'lib_wpm')
$:.push(lib_core)
$:.push(lib_ctrl)
$:.push(lib_conf)
$:.push(lib_wpm)

require 'rucy/rep'
require 'rucy/config'

rep = Rucy::Repository.new
Rucy::Config.config_sys(rep)
Rucy::Config.config_core(rep)

rc_d = rep.fetch(:RC_d)
if (rc_d.running?) then
  exit 0
else
  exit 1
end
