# $Id: AddLogFile.rb,v 1.3 2005/01/02 15:30:57 toki Exp $

require 'forwardable'

class AddLogFile < WPM::PageContext
  extend Forwardable

  def init_context
    @driver = driver
    @control = page_option(:control)
    @params = @control.logging_params
    @params.add_logfile
    list = @params.logfiles
    @index = list.length
    @logfile = list[-1]
  end

  def_delegator :@params, :modified_count
  def_delegator :@params, :modified_count=

  attr_reader :index
  def_delegator :@logfile, :path
  def_delegator :@logfile, :path=
  def_delegator :@logfile, :logging_level
  def_delegator :@logfile, :logging_level=

  def write
    @control.set_logging_params(@params)
    @driver.redirect('Logging')
    nil
  end

  def cancel
    @driver.redirect('Logging')
    nil
  end
end
