# $Id: config_cygwin.rb,v 1.1 2005/02/06 16:01:47 toki Exp $

require 'singleton'
require 'rucy/config'

module Rucy
  class CygwinDummyFork
    include Singleton

    def forkable?
      false
    end
  end

  module Config
    def config_cygwin(rep)
      rep.set_value(:Fork, CygwinDummyFork.instance)
      rep
    end
    module_function :config_cygwin

    setup{|rep| config_cygwin(rep) }
  end
end
