# $Id: config_win32.rb,v 1.4 2005/02/11 16:25:05 toki Exp $

require 'delegate'
require 'rucy/config'

module Rucy
  Win32DummyProcess = SimpleDelegator.new(Process)

  class << Win32DummyProcess
    def euid
      -1
    end
  end

  module Config
    def config_win32(rep)
      rep.set_value(:Process_module, Win32DummyProcess)
      rep
    end
    module_function :config_win32

    setup{|rep| config_win32(rep) }
  end
end
