# $Id: jconv.rb,v 1.3 2005/02/11 16:25:24 toki Exp $

require 'rucy/rep'

module Rucy
  class Jconv
    def initialize(rep=Repository::DEFAULT)
      @rep = rep
      @NKF = @rep.fetch(:NKF_module)
      @Uconv = @rep.fetch(:Uconv_module)
    end

    def jtou8(data)
      return '' if data.empty?
      begin
	@Uconv.u8tou16(data)	# test UTF-8
	return data
      rescue
	# auto-conversion of Japanese encoding
	return @Uconv.euctou8(@NKF.nkf('-e', data))
      end
    end

    def u8toeuc(data)
      return '' if data.empty?
      @Uconv.u8toeuc(data)
    end
  end
end
